<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<axsl:stylesheet xmlns:axsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://purl.oclc.org/dsdl/schematron" xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2" xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2" version="1.0" cbc:dummy-for-xmlns="" cac:dummy-for-xmlns="">
   <axsl:output method="text"/>
   <axsl:template match="*|@*" mode="schematron-get-full-path">
      <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <axsl:text>/</axsl:text>
      <axsl:if test="count(. | ../@*) = count(../@*)">@</axsl:if>
      <axsl:value-of select="name()"/>
      <axsl:text>[</axsl:text>
      <axsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])"/>
      <axsl:text>]</axsl:text>
   </axsl:template>
   <axsl:template match="/">
      <axsl:variable name="result">
         <axsl:apply-templates select="/" mode="M3"/>
      </axsl:variable>
      <axsl:if test="string($result)">
         <axsl:message terminate="yes">
            <axsl:value-of select="$result"/>
         </axsl:message>
      </axsl:if>
   </axsl:template>
   <axsl:template match="@mimeCode" priority="4000" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(contains(normalize-space(.),' ')) and contains( ' application/CSTAdata+xml application/EDI-Consent application/EDI-X12 application/EDIFACT application/activemessage application/andrew-inset application/applefile application/atomicmail application/batch-SMTP application/beep+xml application/cals-1840 application/cnrp+xml application/commonground application/cpl+xml application/csta+xml application/cybercash application/dca-rft application/dec-dx application/dialog-info+xml application/dicom application/dns application/dvcs application/epp+xml application/eshop application/fits application/font-tdpfr application/http application/hyperstudio application/iges application/im-iscomposing+xml application/index application/index.cmd application/index.obj application/index.response application/index.vnd application/iotp application/ipp application/isup application/kpml-request+xml application/kpml-response+xml application/mac-binhex40 application/macwriteii application/marc application/mathematica application/mbox application/mikey application/mpeg4-generic application/msword application/news-message-id application/news-transmission application/ocsp-request application/ocsp-response application/octet-stream application/oda application/ogg application/parityfec application/pdf application/pgp-encrypted application/pgp-keys application/pgp-signature application/pidf+xml application/pkcs10 application/pkcs7-mime application/pkcs7-signature application/pkix-cert application/pkix-crl application/pkix-pkipath application/pkixcmp application/postscript application/prs.alvestrand.titrax-sheet application/prs.cww application/prs.nprend application/prs.plucker application/qsig application/rdf+xml application/reginfo+xml application/remote-printing application/resource-lists+xml application/riscos application/rls-services+xml application/rtf application/samlassertion+xml application/samlmetadata+xml application/sbml+xml application/sdp application/set-payment application/set-payment-initiation application/set-registration application/set-registration-initiation application/sgml application/sgml-open-catalog application/shf+xml application/sieve application/simple-filter+xml application/simple-message-summary application/slate application/soap+xml application/spirits-event+xml application/timestamp-query application/timestamp-reply application/tve-trigger application/vemmi application/vnd.3M.Post-it-Notes application/vnd.3gpp.pic-bw-large application/vnd.3gpp.pic-bw-small application/vnd.3gpp.pic-bw-var application/vnd.3gpp.sms application/vnd.FloGraphIt application/vnd.Kinar application/vnd.Mobius.DAF application/vnd.Mobius.DIS application/vnd.Mobius.MBK application/vnd.Mobius.MQY application/vnd.Mobius.MSL application/vnd.Mobius.PLC application/vnd.Mobius.TXF application/vnd.Quark.QuarkXPress application/vnd.RenLearn.rlprint application/vnd.accpac.simply.aso application/vnd.accpac.simply.imp application/vnd.acucobol application/vnd.acucorp application/vnd.adobe.xfdf application/vnd.aether.imp application/vnd.amiga.ami application/vnd.anser-web-certificate-issue-initiation application/vnd.anser-web-funds-transfer-initiation application/vnd.audiograph application/vnd.blueice.multipass application/vnd.bmi application/vnd.businessobjects application/vnd.canon-cpdl application/vnd.canon-lips application/vnd.cinderella application/vnd.claymore application/vnd.commerce-battelle application/vnd.commonspace application/vnd.contact.cmsg application/vnd.cosmocaller application/vnd.criticaltools.wbs+xml application/vnd.ctc-posml application/vnd.cups-postscript application/vnd.cups-raster application/vnd.cups-raw application/vnd.curl application/vnd.cybank application/vnd.data-vision.rdz application/vnd.dna application/vnd.dpgraph application/vnd.dreamfactory application/vnd.dxr application/vnd.ecdis-update application/vnd.ecowin.chart application/vnd.ecowin.filerequest application/vnd.ecowin.fileupdate application/vnd.ecowin.series application/vnd.ecowin.seriesrequest application/vnd.ecowin.seriesupdate application/vnd.enliven application/vnd.epson.esf application/vnd.epson.msf application/vnd.epson.quickanime application/vnd.epson.salt application/vnd.epson.ssf application/vnd.ericsson.quickcall application/vnd.eudora.data application/vnd.fdf application/vnd.ffsns application/vnd.fints application/vnd.framemaker application/vnd.fsc.weblaunch application/vnd.fujitsu.oasys application/vnd.fujitsu.oasys2 application/vnd.fujitsu.oasys3 application/vnd.fujitsu.oasysgp application/vnd.fujitsu.oasysprs application/vnd.fujixerox.ddd application/vnd.fujixerox.docuworks application/vnd.fujixerox.docuworks.binder application/vnd.fut-misnet application/vnd.genomatix.tuxedo application/vnd.grafeq application/vnd.groove-account application/vnd.groove-help application/vnd.groove-identity-message application/vnd.groove-injector application/vnd.groove-tool-message application/vnd.groove-tool-template application/vnd.groove-vcard application/vnd.hbci application/vnd.hcl-bireports application/vnd.hhe.lesson-player application/vnd.hp-HPGL application/vnd.hp-PCL application/vnd.hp-PCLXL application/vnd.hp-hpid application/vnd.hp-hps application/vnd.httphone application/vnd.hzn-3d-crossword application/vnd.ibm.MiniPay application/vnd.ibm.afplinedata application/vnd.ibm.electronic-media application/vnd.ibm.modcap application/vnd.ibm.rights-management application/vnd.ibm.secure-container application/vnd.informix-visionary application/vnd.intercon.formnet application/vnd.intertrust.digibox application/vnd.intertrust.nncp application/vnd.intu.qbo application/vnd.intu.qfx application/vnd.ipunplugged.rcprofile application/vnd.irepository.package+xml application/vnd.is-xpr application/vnd.japannet-directory-service application/vnd.japannet-jpnstore-wakeup application/vnd.japannet-payment-wakeup application/vnd.japannet-registration application/vnd.japannet-registration-wakeup application/vnd.japannet-setstore-wakeup application/vnd.japannet-verification application/vnd.japannet-verification-wakeup application/vnd.jisp application/vnd.kde.karbon application/vnd.kde.kchart application/vnd.kde.kformula application/vnd.kde.kivio application/vnd.kde.kontour application/vnd.kde.kpresenter application/vnd.kde.kspread application/vnd.kde.kword application/vnd.kenameaapp application/vnd.kidspiration application/vnd.koan application/vnd.liberty-request+xml application/vnd.llamagraphics.life-balance.desktop application/vnd.llamagraphics.life-balance.exchange+xml application/vnd.lotus-1-2-3 application/vnd.lotus-approach application/vnd.lotus-freelance application/vnd.lotus-notes application/vnd.lotus-organizer application/vnd.lotus-screencam application/vnd.lotus-wordpro application/vnd.mcd application/vnd.mediastation.cdkey application/vnd.meridian-slingshot application/vnd.mfmp application/vnd.micrografx.flo application/vnd.micrografx.igx application/vnd.mif application/vnd.minisoft-hp3000-save application/vnd.mitsubishi.misty-guard.trustweb application/vnd.mophun.application application/vnd.mophun.certificate application/vnd.motorola.flexsuite application/vnd.motorola.flexsuite.adsi application/vnd.motorola.flexsuite.fis application/vnd.motorola.flexsuite.gotap application/vnd.motorola.flexsuite.kmr application/vnd.motorola.flexsuite.ttc application/vnd.motorola.flexsuite.wem application/vnd.mozilla.xul+xml application/vnd.ms-artgalry application/vnd.ms-asf application/vnd.ms-excel application/vnd.ms-lrm application/vnd.ms-powerpoint application/vnd.ms-project application/vnd.ms-tnef application/vnd.ms-works application/vnd.ms-wpl application/vnd.mseq application/vnd.msign application/vnd.music-niff application/vnd.musician application/vnd.nervana application/vnd.netfpx application/vnd.noblenet-directory application/vnd.noblenet-sealer application/vnd.noblenet-web application/vnd.nokia.landmark+wbxml application/vnd.nokia.landmark+xml application/vnd.nokia.landmarkcollection+xml application/vnd.nokia.radio-preset application/vnd.nokia.radio-presets application/vnd.novadigm.EDM application/vnd.novadigm.EDX application/vnd.novadigm.EXT application/vnd.obn application/vnd.omads-email+xml application/vnd.omads-file+xml application/vnd.omads-folder+xml application/vnd.osa.netdeploy application/vnd.palm application/vnd.paos.xml application/vnd.pg.format application/vnd.pg.osasli application/vnd.picsel application/vnd.powerbuilder6 application/vnd.powerbuilder6-s application/vnd.powerbuilder7 application/vnd.powerbuilder7-s application/vnd.powerbuilder75 application/vnd.powerbuilder75-s application/vnd.previewsystems.box application/vnd.publishare-delta-tree application/vnd.pvi.ptid1 application/vnd.pwg-multiplexed application/vnd.pwg-xhtml-print+xml application/vnd.rapid application/vnd.s3sms application/vnd.sealed.doc application/vnd.sealed.eml application/vnd.sealed.mht application/vnd.sealed.net application/vnd.sealed.ppt application/vnd.sealed.xls application/vnd.sealedmedia.softseal.html application/vnd.sealedmedia.softseal.pdf application/vnd.seemail application/vnd.shana.informed.formdata application/vnd.shana.informed.formtemplate application/vnd.shana.informed.interchange application/vnd.shana.informed.package application/vnd.smaf application/vnd.sss-cod application/vnd.sss-dtf application/vnd.sss-ntf application/vnd.street-stream application/vnd.sus-calendar application/vnd.svd application/vnd.swiftview-ics application/vnd.syncml.+xml application/vnd.syncml.ds.notification application/vnd.triscape.mxs application/vnd.trueapp application/vnd.truedoc application/vnd.ufdl application/vnd.uiq.theme application/vnd.uplanet.alert application/vnd.uplanet.alert-wbxml application/vnd.uplanet.bearer-choice application/vnd.uplanet.bearer-choice-wbxml application/vnd.uplanet.cacheop application/vnd.uplanet.cacheop-wbxml application/vnd.uplanet.channel application/vnd.uplanet.channel-wbxml application/vnd.uplanet.list application/vnd.uplanet.list-wbxml application/vnd.uplanet.listcmd application/vnd.uplanet.listcmd-wbxml application/vnd.uplanet.signal application/vnd.vcx application/vnd.vectorworks application/vnd.vidsoft.vidconference application/vnd.visio application/vnd.visionary application/vnd.vividence.scriptfile application/vnd.vsf application/vnd.wap.sic application/vnd.wap.slc application/vnd.wap.wbxml application/vnd.wap.wmlc application/vnd.wap.wmlscriptc application/vnd.webturbo application/vnd.wordperfect application/vnd.wqd application/vnd.wrq-hp3000-labelled application/vnd.wt.stf application/vnd.wv.csp+wbxml application/vnd.wv.csp+xml application/vnd.wv.ssp+xml application/vnd.xara application/vnd.xfdl application/vnd.yamaha.hv-dic application/vnd.yamaha.hv-script application/vnd.yamaha.hv-voice application/vnd.yamaha.smaf-audio application/vnd.yamaha.smaf-phrase application/vnd.yellowriver-custom-menu application/watcherinfo+xml application/whoispp-query application/whoispp-response application/wita application/wordperfect5.1 application/x400-bp application/xhtml+xml application/xml application/xml-dtd application/xml-external-parsed-entity application/xmpp+xml application/xop+xml application/zip audio/32kadpcm audio/3gpp audio/AMR audio/AMR-WB audio/BV16 audio/BV32 audio/CN audio/DAT12 audio/DVI4 audio/EVRC audio/EVRC-QCP audio/EVRC0 audio/G.722.1 audio/G722 audio/G723 audio/G726-16 audio/G726-24 audio/G726-32 audio/G726-40 audio/G728 audio/G729 audio/G729D audio/G729E audio/GSM audio/GSM-EFR audio/L16 audio/L20 audio/L24 audio/L8 audio/LPC audio/MP4A-LATM audio/MPA audio/PCMA audio/PCMU audio/QCELP audio/RED audio/SMV audio/SMV-QCP audio/SMV0 audio/VDVI audio/basic audio/clearmode audio/dsr-es201108 audio/dsr-es202050 audio/dsr-es202211 audio/dsr-es202212 audio/iLBC audio/mpa-robust audio/mpeg audio/mpeg4-generic audio/parityfec audio/prs.sid audio/telephone-event audio/tone audio/vnd.3gpp.iufp audio/vnd.audiokoz audio/vnd.cisco.nse audio/vnd.cns.anp1 audio/vnd.cns.inf1 audio/vnd.digital-winds audio/vnd.everad.plj audio/vnd.lucent.voice audio/vnd.nokia.mobile-xmf audio/vnd.nortel.vbk audio/vnd.nuera.ecelp4800 audio/vnd.nuera.ecelp7470 audio/vnd.nuera.ecelp9600 audio/vnd.octel.sbc audio/vnd.qcelp audio/vnd.rhetorex.32kadpcm audio/vnd.sealedmedia.softseal.mpeg audio/vnd.vmx.cvsd image/cgm image/fits image/g3fax image/gif image/ief image/jp2 image/jpeg image/jpm image/jpx image/naplps image/png image/prs.btif image/prs.pti image/t38 image/tiff image/tiff-fx image/vnd.cns.inf2 image/vnd.djvu image/vnd.dwg image/vnd.dxf image/vnd.fastbidsheet image/vnd.fpx image/vnd.fst image/vnd.fujixerox.edmics-mmr image/vnd.fujixerox.edmics-rlc image/vnd.globalgraphics.pgb image/vnd.microsoft.icon image/vnd.mix image/vnd.ms-modi image/vnd.net-fpx image/vnd.sealed.png image/vnd.sealedmedia.softseal.gif image/vnd.sealedmedia.softseal.jpg image/vnd.svf image/vnd.wap.wbmp image/vnd.xiff message/CPIM message/delivery-status message/disposition-notification message/external-body message/http message/news message/partial message/rfc822 message/s-http message/sip message/sipfrag message/tracking-status model/iges model/mesh model/vnd.dwf model/vnd.flatland.3dml model/vnd.gdl model/vnd.gs-gdl model/vnd.gtw model/vnd.mts model/vnd.parasolid.transmit.binary model/vnd.parasolid.transmit.text model/vnd.vtu model/vrml multipart/alternative multipart/appledouble multipart/byteranges multipart/digest multipart/encrypted multipart/form-data multipart/header-set multipart/mixed multipart/parallel multipart/related multipart/report multipart/signed multipart/voice-message text/RED text/calendar text/css text/csv text/directory text/dns text/enriched text/html text/parityfec text/plain text/prs.fallenstein.rst text/prs.lines.tag text/rfc822-headers text/richtext text/rtf text/sgml text/t140 text/tab-separated-values text/troff text/uri-list text/vnd.DMClientScript text/vnd.IPTC.NITF text/vnd.IPTC.NewsML text/vnd.abc text/vnd.curl text/vnd.esmertec.theme-descriptor text/vnd.fly text/vnd.fmi.flexstor text/vnd.in3d.3dml text/vnd.in3d.spot text/vnd.latex-z text/vnd.motorola.reflex text/vnd.ms-mediapackage text/vnd.net2phone.commcenter.command text/vnd.sun.j2me.app-descriptor text/vnd.wap.si text/vnd.wap.sl text/vnd.wap.wml text/vnd.wap.wmlscript text/xml text/xml-external-parsed-entity video/3gpp video/BMPEG video/BT656 video/CelB video/DV video/H261 video/H263 video/H263-1998 video/H263-2000 video/H264 video/JPEG video/MJ2 video/MP1S video/MP2P video/MP2T video/MP4V-ES video/MPV video/SMPTE292M video/mpeg video/mpeg4-generic video/nv video/parityfec video/pointer video/quicktime video/raw video/vnd.fvt video/vnd.motorola.video video/vnd.motorola.videop video/vnd.mpegurl video/vnd.nokia.interleaved-multimedia video/vnd.objectvideo video/vnd.sealed.mpeg1 video/vnd.sealed.mpeg4 video/vnd.sealed.swf video/vnd.sealedmedia.softseal.mov video/vnd.vivo ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'BinaryObjectMimeCode' in the context: @mimeCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="@unitCode" priority="3999" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(../@unitCodeListID!='UN/ECE rec 20') and not(../@unitCodeListVersionID!='Revision 4') and not(../@unitCodeListAgencyID!='6') and not(../@unitCodeListAgencyName!='United Nations Economic Commission for Europe') ) and ( not(contains(normalize-space(.),' ')) and contains( ' 04 05 08 10 11 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 40 41 43 44 45 46 47 48 53 54 56 57 58 59 60 61 62 63 64 66 69 71 72 73 74 76 77 78 80 81 84 85 87 89 90 91 92 93 94 95 96 97 98 1A 1B 1C 1D 1E 1F 1G 1H 1I 1J 1K 1L 1M 1X 2A 2B 2C 2I 2J 2K 2L 2M 2N 2P 2Q 2R 2U 2V 2W 2X 2Y 2Z 3B 3C 3E 3G 3H 3I 4A 4B 4C 4E 4G 4H 4K 4L 4M 4N 4O 4P 4Q 4R 4T 4U 4W 4X 5A 5B 5C 5E 5F 5G 5H 5I 5J 5K 5P 5Q A1 A10 A11 A12 A13 A14 A15 A16 A17 A18 A19 A2 A20 A21 A22 A23 A24 A25 A26 A27 A28 A29 A3 A30 A31 A32 A33 A34 A35 A36 A37 A38 A39 A4 A40 A41 A42 A43 A44 A45 A47 A48 A49 A5 A50 A51 A52 A53 A54 A55 A56 A57 A58 A6 A60 A61 A62 A63 A64 A65 A66 A67 A68 A69 A7 A70 A71 A73 A74 A75 A76 A77 A78 A79 A8 A80 A81 A82 A83 A84 A85 A86 A87 A88 A89 A9 A90 A91 A93 A94 A95 A96 A97 A98 AA AB ACR AD AE AH AI AJ AK AL AM AMH AMP ANN AP APZ AQ AR ARE AS ASM ASU ATM ATT AV AW AY AZ B0 B1 B11 B12 B13 B14 B15 B16 B18 B2 B20 B21 B22 B23 B24 B25 B26 B27 B28 B29 B3 B31 B32 B33 B34 B35 B36 B37 B38 B39 B4 B40 B41 B42 B43 B44 B45 B46 B47 B48 B49 B5 B50 B51 B52 B53 B54 B55 B56 B57 B58 B59 B6 B60 B61 B62 B63 B64 B65 B66 B67 B69 B7 B70 B71 B72 B73 B74 B75 B76 B77 B78 B79 B8 B81 B83 B84 B85 B86 B87 B88 B89 B9 B90 B91 B92 B93 B94 B95 B96 B97 B98 B99 BAR BB BD BE BFT BG BH BHP BIL BJ BK BL BLD BLL BO BP BQL BR BT BTU BUA BUI BW BX BZ C0 C1 C10 C11 C12 C13 C14 C15 C16 C17 C18 C19 C2 C20 C22 C23 C24 C25 C26 C27 C28 C29 C3 C30 C31 C32 C33 C34 C35 C36 C38 C39 C4 C40 C41 C42 C43 C44 C45 C46 C47 C48 C49 C5 C50 C51 C52 C53 C54 C55 C56 C57 C58 C59 C6 C60 C61 C62 C63 C64 C65 C66 C67 C68 C69 C7 C70 C71 C72 C73 C75 C76 C77 C78 C8 C80 C81 C82 C83 C84 C85 C86 C87 C88 C89 C9 C90 C91 C92 C93 C94 C95 C96 C97 C98 C99 CA CCT CDL CEL CEN CG CGM CH CJ CK CKG CL CLF CLT CMK CMQ CMT CNP CNT CO COU CQ CR CS CT CTM CU CUR CV CWA CWI CY CZ D1 D10 D12 D13 D14 D15 D16 D17 D18 D19 D2 D20 D21 D22 D23 D24 D25 D26 D27 D28 D29 D30 D31 D32 D33 D34 D35 D37 D38 D39 D40 D41 D42 D43 D44 D45 D46 D47 D48 D49 D5 D50 D51 D52 D53 D54 D55 D56 D57 D58 D59 D6 D60 D61 D62 D63 D64 D65 D66 D67 D69 D7 D70 D71 D72 D73 D74 D75 D76 D77 D79 D8 D80 D81 D82 D83 D85 D86 D87 D88 D89 D9 D90 D91 D92 D93 D94 D95 D96 D97 D98 D99 DAA DAD DAY DB DC DD DE DEC DG DI DJ DLT DMK DMQ DMT DN DPC DPR DPT DQ DR DRA DRI DRL DRM DS DT DTN DU DWT DX DY DZN DZP E2 E3 E4 E5 EA EB EC EP EQ EV F1 F9 FAH FAR FB FC FD FE FF FG FH FL FM FOT FP FR FS FTK FTQ G2 G3 G7 GB GBQ GC GD GE GF GFI GGR GH GIA GII GJ GK GL GLD GLI GLL GM GN GO GP GQ GRM GRN GRO GRT GT GV GW GWH GY GZ H1 H2 HA HAR HBA HBX HC HD HE HF HGM HH HI HIU HJ HK HL HLT HM HMQ HMT HN HO HP HPA HS HT HTZ HUR HY IA IC IE IF II IL IM INH INK INQ IP IT IU IV J2 JB JE JG JK JM JO JOU JR K1 K2 K3 K5 K6 KA KB KBA KD KEL KF KG KGM KGS KHZ KI KJ KJO KL KMH KMK KMQ KNI KNS KNT KO KPA KPH KPO KPP KR KS KSD KSH KT KTM KTN KUR KVA KVR KVT KW KWH KWT KX L2 LA LBR LBT LC LD LE LEF LF LH LI LJ LK LM LN LO LP LPA LR LS LTN LTR LUM LUX LX LY M0 M1 M4 M5 M7 M9 MA MAL MAM MAW MBE MBF MBR MC MCU MD MF MGM MHZ MIK MIL MIN MIO MIU MK MLD MLT MMK MMQ MMT MON MPA MQ MQH MQS MSK MT MTK MTQ MTR MTS MV MVA MWH N1 N2 N3 NA NAR NB NBB NC NCL ND NE NEW NF NG NH NI NIU NJ NL NMI NMP NN NPL NPR NPT NQ NR NRL NT NTT NU NV NX NY OA OHM ON ONZ OP OT OZ OZA OZI P0 P1 P2 P3 P4 P5 P6 P7 P8 P9 PA PAL PB PD PE PF PG PGL PI PK PL PM PN PO PQ PR PS PT PTD PTI PTL PU PV PW PY PZ Q3 QA QAN QB QD QH QK QR QT QTD QTI QTL QTR R1 R4 R9 RA RD RG RH RK RL RM RN RO RP RPM RPS RS RT RU S3 S4 S5 S6 S7 S8 SA SAN SCO SCR SD SE SEC SET SG SHT SIE SK SL SMI SN SO SP SQ SR SS SST ST STI STN SV SW SX T0 T1 T3 T4 T5 T6 T7 T8 TA TAH TC TD TE TF TI TJ TK TL TN TNE TP TPR TQ TQD TR TRL TS TSD TSH TT TU TV TW TY U1 U2 UA UB UC UD UE UF UH UM VA VI VLT VQ VS W2 W4 WA WB WCD WE WEB WEE WG WH WHR WI WM WR WSD WTT WW X1 YDK YDQ YL YRD YT Z1 Z2 Z3 Z4 Z5 Z6 Z8 ZP ZZ ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'UnitOfMeasureCode' in the context: @unitCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="@currencyID" priority="3998" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(../@currencyCodeListVersionID!='2001') ) and ( not(contains(normalize-space(.),' ')) and contains( ' AED AFN ALL AMD ANG AOA ARS AUD AWG AZM BAM BBD BDT BGN BHD BIF BMD BND BOB BRL BSD BTN BWP BYR BZD CAD CDF CHF CLP CNY COP CRC CUP CVE CYP CZK DJF DKK DOP DZD EEK EGP ERN ETB EUR FJD FKP GBP GEL GHC GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LTL LVL LYD MAD MDL MGF MKD MMK MNT MOP MRO MTL MUR MVR MWK MXN MYR MZM NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR ROL RUB RWF SAR SBD SCR SDD SEK SGD SHP SIT SKK SLL SOS SRG STD SVC SYP SZL THB TJS TMM TND TOP TRL TTD TWD TZS UAH UGX USD UYU UZS VEB VND VUV WST XAF XAG XAU XCD XDR XOF XPD XPF XPT YER YUM ZAR ZMK ZWD ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'CurrencyCode' in the context: @currencyID
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:AllowanceChargeReasonCode" priority="3997" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='UN/ECE 4465') and not(@listAgencyID!='6') and not(@listAgencyName!='United Nations Economic Commission for Europe') and not(@listName!='Adjustment Reason Description') and not(@listVersionID!='D03A') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/default/AllowanceChargeReasonCode-2.0.gc') and not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:AllowanceChargeReasonCode-2.0') ) and ( not(contains(normalize-space(.),' ')) and contains( ' 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 ZZZ ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'AllowanceChargeReasonCode' in the context: cbc:AllowanceChargeReasonCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:CardChipCode" priority="3996" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='Chip') and not(@listAgencyID!='UBL') and not(@listAgencyName!='OASIS Universal Business Language') and not(@listName!='Chip') and not(@listVersionID!='2.0') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/default/ChipCode-2.0.gc') and not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:ChipCode-2.0') ) and ( not(contains(normalize-space(.),' ')) and contains( ' Chip MagneticStripe ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'ChipCode' in the context: cbc:CardChipCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:ChannelCode" priority="3995" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='UN/ECE 3155') and not(@listAgencyID!='6') and not(@listAgencyName!='United Nations Economic Commission for Europe') and not(@listName!='Communication Address Code Qualifier') and not(@listVersionID!='D03A') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/default/ChannelCode-2.0.gc') and not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:ChannelCode-2.0') ) and ( not(contains(normalize-space(.),' ')) and contains( ' AA AB AC AD AE AF AG AH AI AJ AK AL AM AN AO AP CA EI EM EX FT FX GM IE IM MA PB PS SW TE TG TL TM TT TX XF XG XH XI XJ ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'ChannelCode' in the context: cbc:ChannelCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:ConditionCode" priority="3994" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='UN/ECE rec 24') and not(@listAgencyID!='6') and not(@listAgencyName!='United Nations Economic Commission for Europe') and not(@listName!='Transportation Status') and not(@listVersionID!='Third Revision') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/default/TransportationStatusCode-2.0.gc') and not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:TransportationStatusCode-2.0') ) and ( not(contains(normalize-space(.),' ')) and contains( ' 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 44 45 46 47 48 49 50 51 53 54 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 161 162 163 164 165 166 167 168 169 170 171 172 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 218 219 220 222 224 225 227 228 229 231 232 233 234 235 236 238 239 240 241 242 243 247 248 250 251 253 254 255 256 258 260 265 266 267 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 291 292 295 297 298 299 300 301 302 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 +359 +360 +361 +362 +363 ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'TransportationStatusCode' in the context: cbc:ConditionCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:CurrencyCode" priority="3993" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='ISO 4217 Alpha') and not(@listAgencyID!='6') and not(@listAgencyName!='United Nations Economic Commission for Europe') and not(@listName!='Currency') and not(@listVersionID!='2001') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/cefact/CurrencyCode-2.0.gc') and not(@listSchemeURI!='urn:un:unece:uncefact:codelist:specification:54217:2001') ) and ( not(contains(normalize-space(.),' ')) and contains( ' AED AFN ALL AMD ANG AOA ARS AUD AWG AZM BAM BBD BDT BGN BHD BIF BMD BND BOB BRL BSD BTN BWP BYR BZD CAD CDF CHF CLP CNY COP CRC CUP CVE CYP CZK DJF DKK DOP DZD EEK EGP ERN ETB EUR FJD FKP GBP GEL GHC GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LTL LVL LYD MAD MDL MGF MKD MMK MNT MOP MRO MTL MUR MVR MWK MXN MYR MZM NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR ROL RUB RWF SAR SBD SCR SDD SEK SGD SHP SIT SKK SLL SOS SRG STD SVC SYP SZL THB TJS TMM TND TOP TRL TTD TWD TZS UAH UGX USD UYU UZS VEB VND VUV WST XAF XAG XAU XCD XDR XOF XPD XPF XPT YER YUM ZAR ZMK ZWD ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'CurrencyCode' in the context: cbc:CurrencyCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:DocumentCurrencyCode" priority="3992" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='ISO 4217 Alpha') and not(@listAgencyID!='6') and not(@listAgencyName!='United Nations Economic Commission for Europe') and not(@listName!='Currency') and not(@listVersionID!='2001') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/cefact/CurrencyCode-2.0.gc') and not(@listSchemeURI!='urn:un:unece:uncefact:codelist:specification:54217:2001') ) and ( not(contains(normalize-space(.),' ')) and contains( ' AED AFN ALL AMD ANG AOA ARS AUD AWG AZM BAM BBD BDT BGN BHD BIF BMD BND BOB BRL BSD BTN BWP BYR BZD CAD CDF CHF CLP CNY COP CRC CUP CVE CYP CZK DJF DKK DOP DZD EEK EGP ERN ETB EUR FJD FKP GBP GEL GHC GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LTL LVL LYD MAD MDL MGF MKD MMK MNT MOP MRO MTL MUR MVR MWK MXN MYR MZM NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR ROL RUB RWF SAR SBD SCR SDD SEK SGD SHP SIT SKK SLL SOS SRG STD SVC SYP SZL THB TJS TMM TND TOP TRL TTD TWD TZS UAH UGX USD UYU UZS VEB VND VUV WST XAF XAG XAU XCD XDR XOF XPD XPF XPT YER YUM ZAR ZMK ZWD ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'CurrencyCode' in the context: cbc:DocumentCurrencyCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:DocumentStatusCode" priority="3991" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='Document Status') and not(@listAgencyID!='UBL') and not(@listAgencyName!='OASIS Universal Business Language') and not(@listName!='Document Status') and not(@listVersionID!='2.0') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/default/DocumentStatusCode-2.0.gc') and not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:DocumentStatusCode-2.0') ) and ( not(contains(normalize-space(.),' ')) and contains( ' Cancelled Disputed NoStatus Revised ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'DocumentStatusCode' in the context: cbc:DocumentStatusCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:IdentificationCode" priority="3990" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='ISO3166-1') and not(@listAgencyID!='6') and not(@listAgencyName!='United Nations Economic Commission for Europe') and not(@listName!='Country') and not(@listVersionID!='0.3') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/default/CountryIdentificationCode-2.0.gc') and not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:CountryIdentificationCode-2.0') ) and ( not(contains(normalize-space(.),' ')) and contains( ' AF AL DZ AS AD AO AI AQ AG AR AM AW AU AT AZ BS BH BD BB BY BE BZ BJ BM BT BO BOSNIA BW BV BR IO BN BG BF BI KH CM CA CV KY CF TD CL CN CX CC CO KM CG CK CR CI HR CU CY CZ DK DJ DM DO TP EC EG SV GQ ER EE ET FK FO FJ FI FR FX GF PF TF GA GM GE DE GH GI GR GL GD GP GU GT GN GW GY HT HM BA HN HK HU IS IN ID IR IQ IE IL IT JM JP JO KZ KE KI KP KR KW KG LA LV LB LS LR LY LI LT LU MO MG MW MY MV ML MT MH MQ MR MU YT MX FM MD MC MN MS MA MZ MM NA NR NP AN NL NC NZ NI NE NG NU NF MP NO OM PK PW PA PG PY PE PH PN PL PT PR QA RE RO RU RW SH KN LC PM VC WS SM SA SN SC SL SG SK SI SB SO ZA GS ES LK SD SR SJ SZ SE CH SY ST TW TJ TZ TH MK TG TK TO TT TN TR TM TC TV UG UA AE GB UM US UY UZ VU VA VE VN VG VI WF EH YE YU ZR ZM ZW ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'CountryIdentificationCode' in the context: cbc:IdentificationCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:LatitudeDirectionCode" priority="3989" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='Latitude Direction') and not(@listAgencyID!='UBL') and not(@listAgencyName!='OASIS Universal Business Language') and not(@listName!='Latitude Direction') and not(@listVersionID!='2.0') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/default/LatitudeDirectionCode-2.0.gc') and not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:LatitudeDirectionCode-2.0') ) and ( not(contains(normalize-space(.),' ')) and contains( ' North South ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'LatitudeDirectionCode' in the context: cbc:LatitudeDirectionCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:LineStatusCode" priority="3988" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='Line Status') and not(@listAgencyID!='UBL') and not(@listAgencyName!='OASIS Universal Business Language') and not(@listName!='Line Status') and not(@listVersionID!='2.0') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/default/LineStatusCode-2.0.gc') and not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:LineStatusCode-2.0') ) and ( not(contains(normalize-space(.),' ')) and contains( ' Added Cancelled Disputed NoStatus Revised ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'LineStatusCode' in the context: cbc:LineStatusCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:LongitudeDirectionCode" priority="3987" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='Longitude Direction') and not(@listAgencyID!='UBL') and not(@listAgencyName!='OASIS Universal Business Language') and not(@listName!='Longitude Direction') and not(@listVersionID!='2.0') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/default/LongitudeDirectionCode-2.0.gc') and not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:LongitudeDirectionCode-2.0') ) and ( not(contains(normalize-space(.),' ')) and contains( ' East West ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'LongitudeDirectionCode' in the context: cbc:LongitudeDirectionCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:MathematicOperatorCode" priority="3986" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='Operator') and not(@listAgencyID!='UBL') and not(@listAgencyName!='OASIS Universal Business Language') and not(@listName!='Operator') and not(@listVersionID!='2.0') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/default/OperatorCode-2.0.gc') and not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:OperatorCode-2.0') ) and ( not(contains(normalize-space(.),' ')) and contains( ' Divide Multiply ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'OperatorCode' in the context: cbc:MathematicOperatorCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:PackagingTypeCode" priority="3985" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='UN/ECE rec 21') and not(@listAgencyID!='6') and not(@listAgencyName!='United Nations Economic Commission for Europe') and not(@listName!='Packaging Type') and not(@listVersionID!='Revision 5') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/default/PackagingTypeCode-2.0.gc') and not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:PackagingTypeCode-2.0') ) and ( not(contains(normalize-space(.),' ')) and contains( ' 1A 1B 1D 1G 1W 2C 3A 3H 43 4A 4B 4C 4D 4F 4G 4H 5H 5L 5M 6H 6P AA AB AC AD AE AF AG AH AI AJ AM AP AT AV BA BB BC BD BE BF BG BH BI BJ BK BL BM BN BO BO BP BQ BQ BR BS BT BU BV BV BW BX BY BZ CA CB CC CD CE CF CG CH CI CJ CK CL CM CN CO CP CQ CR CS CT CU CV CW CX CY CZ DA DB DC DG DH DI DJ DK DL DM DN DP DR DS DT DU DV DW DX DY EC ED EE EF EG EH EI EN FC FD FI FL FO FP FR FT FW FX GB GI GR GU GZ HA HB HC HG HR IA IB IC ID IE IF IG IH IK IL IN IZ JC JG JR JT JY KG LG LT LV LZ MB MC MR MS MT MW MX NA NE NF NG NS NT NU NV PA PB PC PD PE PF PG PH PI PJ PK PL PN PO PR PT PU PV PX PY PZ QA QB QC QD QF QG QH QJ QK QL QM QN QP QQ QR QS RD RG RJ RK RL RO RT RZ SA SB SC SD SE SH SI SK SL SM SO SP SS ST SU SV SW SX SY SZ TB TC TD TI TK TL TN TO TR TS TU TV TY TZ UC VA VG VI VK VL VO VP VQ VR VY WA WB WC WD WF WG WH WJ WK WL WM WN WP WQ WR WS WT WU WV WW WX WY WZ XA XB XC XD XF XG XH XJ XK YA YB YC YD YF YG YH YJ YK YL YM YN YP YQ YR YS YT YV YW YX YY YZ ZA ZB ZC ZD ZF ZG ZH ZJ ZK ZL ZM ZN ZP ZQ ZR ZS ZT ZU ZV ZW ZX ZY ZZ ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'PackagingTypeCode' in the context: cbc:PackagingTypeCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:PaymentAlternativeCurrencyCode" priority="3984" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='ISO 4217 Alpha') and not(@listAgencyID!='6') and not(@listAgencyName!='United Nations Economic Commission for Europe') and not(@listName!='Currency') and not(@listVersionID!='2001') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/cefact/CurrencyCode-2.0.gc') and not(@listSchemeURI!='urn:un:unece:uncefact:codelist:specification:54217:2001') ) and ( not(contains(normalize-space(.),' ')) and contains( ' AED AFN ALL AMD ANG AOA ARS AUD AWG AZM BAM BBD BDT BGN BHD BIF BMD BND BOB BRL BSD BTN BWP BYR BZD CAD CDF CHF CLP CNY COP CRC CUP CVE CYP CZK DJF DKK DOP DZD EEK EGP ERN ETB EUR FJD FKP GBP GEL GHC GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LTL LVL LYD MAD MDL MGF MKD MMK MNT MOP MRO MTL MUR MVR MWK MXN MYR MZM NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR ROL RUB RWF SAR SBD SCR SDD SEK SGD SHP SIT SKK SLL SOS SRG STD SVC SYP SZL THB TJS TMM TND TOP TRL TTD TWD TZS UAH UGX USD UYU UZS VEB VND VUV WST XAF XAG XAU XCD XDR XOF XPD XPF XPT YER YUM ZAR ZMK ZWD ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'CurrencyCode' in the context: cbc:PaymentAlternativeCurrencyCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:PaymentCurrencyCode" priority="3983" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='ISO 4217 Alpha') and not(@listAgencyID!='6') and not(@listAgencyName!='United Nations Economic Commission for Europe') and not(@listName!='Currency') and not(@listVersionID!='2001') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/cefact/CurrencyCode-2.0.gc') and not(@listSchemeURI!='urn:un:unece:uncefact:codelist:specification:54217:2001') ) and ( not(contains(normalize-space(.),' ')) and contains( ' AED AFN ALL AMD ANG AOA ARS AUD AWG AZM BAM BBD BDT BGN BHD BIF BMD BND BOB BRL BSD BTN BWP BYR BZD CAD CDF CHF CLP CNY COP CRC CUP CVE CYP CZK DJF DKK DOP DZD EEK EGP ERN ETB EUR FJD FKP GBP GEL GHC GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LTL LVL LYD MAD MDL MGF MKD MMK MNT MOP MRO MTL MUR MVR MWK MXN MYR MZM NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR ROL RUB RWF SAR SBD SCR SDD SEK SGD SHP SIT SKK SLL SOS SRG STD SVC SYP SZL THB TJS TMM TND TOP TRL TTD TWD TZS UAH UGX USD UYU UZS VEB VND VUV WST XAF XAG XAU XCD XDR XOF XPD XPF XPT YER YUM ZAR ZMK ZWD ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'CurrencyCode' in the context: cbc:PaymentCurrencyCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:PaymentMeansCode" priority="3982" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='UN/ECE 4461') and not(@listAgencyID!='6') and not(@listAgencyName!='United Nations Economic Commission for Europe') and not(@listName!='Payment Means') and not(@listVersionID!='D03A') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/default/PaymentMeansCode-2.0.gc') and not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:PaymentMeansCode-2.0') ) and ( not(contains(normalize-space(.),' ')) and contains( ' 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 60 61 62 63 64 65 66 67 70 74 75 76 77 78 91 92 93 94 95 96 97 ZZZ ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'PaymentMeansCode' in the context: cbc:PaymentMeansCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:PricingCurrencyCode" priority="3981" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='ISO 4217 Alpha') and not(@listAgencyID!='6') and not(@listAgencyName!='United Nations Economic Commission for Europe') and not(@listName!='Currency') and not(@listVersionID!='2001') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/cefact/CurrencyCode-2.0.gc') and not(@listSchemeURI!='urn:un:unece:uncefact:codelist:specification:54217:2001') ) and ( not(contains(normalize-space(.),' ')) and contains( ' AED AFN ALL AMD ANG AOA ARS AUD AWG AZM BAM BBD BDT BGN BHD BIF BMD BND BOB BRL BSD BTN BWP BYR BZD CAD CDF CHF CLP CNY COP CRC CUP CVE CYP CZK DJF DKK DOP DZD EEK EGP ERN ETB EUR FJD FKP GBP GEL GHC GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LTL LVL LYD MAD MDL MGF MKD MMK MNT MOP MRO MTL MUR MVR MWK MXN MYR MZM NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR ROL RUB RWF SAR SBD SCR SDD SEK SGD SHP SIT SKK SLL SOS SRG STD SVC SYP SZL THB TJS TMM TND TOP TRL TTD TWD TZS UAH UGX USD UYU UZS VEB VND VUV WST XAF XAG XAU XCD XDR XOF XPD XPF XPT YER YUM ZAR ZMK ZWD ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'CurrencyCode' in the context: cbc:PricingCurrencyCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:RequestedInvoiceCurrencyCode" priority="3980" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='ISO 4217 Alpha') and not(@listAgencyID!='6') and not(@listAgencyName!='United Nations Economic Commission for Europe') and not(@listName!='Currency') and not(@listVersionID!='2001') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/cefact/CurrencyCode-2.0.gc') and not(@listSchemeURI!='urn:un:unece:uncefact:codelist:specification:54217:2001') ) and ( not(contains(normalize-space(.),' ')) and contains( ' AED AFN ALL AMD ANG AOA ARS AUD AWG AZM BAM BBD BDT BGN BHD BIF BMD BND BOB BRL BSD BTN BWP BYR BZD CAD CDF CHF CLP CNY COP CRC CUP CVE CYP CZK DJF DKK DOP DZD EEK EGP ERN ETB EUR FJD FKP GBP GEL GHC GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LTL LVL LYD MAD MDL MGF MKD MMK MNT MOP MRO MTL MUR MVR MWK MXN MYR MZM NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR ROL RUB RWF SAR SBD SCR SDD SEK SGD SHP SIT SKK SLL SOS SRG STD SVC SYP SZL THB TJS TMM TND TOP TRL TTD TWD TZS UAH UGX USD UYU UZS VEB VND VUV WST XAF XAG XAU XCD XDR XOF XPD XPF XPT YER YUM ZAR ZMK ZWD ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'CurrencyCode' in the context: cbc:RequestedInvoiceCurrencyCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:SourceCurrencyCode" priority="3979" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='ISO 4217 Alpha') and not(@listAgencyID!='6') and not(@listAgencyName!='United Nations Economic Commission for Europe') and not(@listName!='Currency') and not(@listVersionID!='2001') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/cefact/CurrencyCode-2.0.gc') and not(@listSchemeURI!='urn:un:unece:uncefact:codelist:specification:54217:2001') ) and ( not(contains(normalize-space(.),' ')) and contains( ' AED AFN ALL AMD ANG AOA ARS AUD AWG AZM BAM BBD BDT BGN BHD BIF BMD BND BOB BRL BSD BTN BWP BYR BZD CAD CDF CHF CLP CNY COP CRC CUP CVE CYP CZK DJF DKK DOP DZD EEK EGP ERN ETB EUR FJD FKP GBP GEL GHC GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LTL LVL LYD MAD MDL MGF MKD MMK MNT MOP MRO MTL MUR MVR MWK MXN MYR MZM NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR ROL RUB RWF SAR SBD SCR SDD SEK SGD SHP SIT SKK SLL SOS SRG STD SVC SYP SZL THB TJS TMM TND TOP TRL TTD TWD TZS UAH UGX USD UYU UZS VEB VND VUV WST XAF XAG XAU XCD XDR XOF XPD XPF XPT YER YUM ZAR ZMK ZWD ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'CurrencyCode' in the context: cbc:SourceCurrencyCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:SubstitutionStatusCode" priority="3978" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='Substitution Status') and not(@listAgencyID!='UBL') and not(@listAgencyName!='OASIS Universal Business Language') and not(@listName!='Substitution Status') and not(@listVersionID!='2.0') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/default/SubstitutionStatusCode-2.0.gc') and not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:SubstitutionStatusCode-2.0') ) and ( not(contains(normalize-space(.),' ')) and contains( ' Original Substitution ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'SubstitutionStatusCode' in the context: cbc:SubstitutionStatusCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:TargetCurrencyCode" priority="3977" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='ISO 4217 Alpha') and not(@listAgencyID!='6') and not(@listAgencyName!='United Nations Economic Commission for Europe') and not(@listName!='Currency') and not(@listVersionID!='2001') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/cefact/CurrencyCode-2.0.gc') and not(@listSchemeURI!='urn:un:unece:uncefact:codelist:specification:54217:2001') ) and ( not(contains(normalize-space(.),' ')) and contains( ' AED AFN ALL AMD ANG AOA ARS AUD AWG AZM BAM BBD BDT BGN BHD BIF BMD BND BOB BRL BSD BTN BWP BYR BZD CAD CDF CHF CLP CNY COP CRC CUP CVE CYP CZK DJF DKK DOP DZD EEK EGP ERN ETB EUR FJD FKP GBP GEL GHC GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LTL LVL LYD MAD MDL MGF MKD MMK MNT MOP MRO MTL MUR MVR MWK MXN MYR MZM NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR ROL RUB RWF SAR SBD SCR SDD SEK SGD SHP SIT SKK SLL SOS SRG STD SVC SYP SZL THB TJS TMM TND TOP TRL TTD TWD TZS UAH UGX USD UYU UZS VEB VND VUV WST XAF XAG XAU XCD XDR XOF XPD XPF XPT YER YUM ZAR ZMK ZWD ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'CurrencyCode' in the context: cbc:TargetCurrencyCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:TaxCurrencyCode" priority="3976" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='ISO 4217 Alpha') and not(@listAgencyID!='6') and not(@listAgencyName!='United Nations Economic Commission for Europe') and not(@listName!='Currency') and not(@listVersionID!='2001') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/cefact/CurrencyCode-2.0.gc') and not(@listSchemeURI!='urn:un:unece:uncefact:codelist:specification:54217:2001') ) and ( not(contains(normalize-space(.),' ')) and contains( ' AED AFN ALL AMD ANG AOA ARS AUD AWG AZM BAM BBD BDT BGN BHD BIF BMD BND BOB BRL BSD BTN BWP BYR BZD CAD CDF CHF CLP CNY COP CRC CUP CVE CYP CZK DJF DKK DOP DZD EEK EGP ERN ETB EUR FJD FKP GBP GEL GHC GIP GMD GNF GTQ GYD HKD HNL HRK HTG HUF IDR ILS INR IQD IRR ISK JMD JOD JPY KES KGS KHR KMF KPW KRW KWD KYD KZT LAK LBP LKR LRD LSL LTL LVL LYD MAD MDL MGF MKD MMK MNT MOP MRO MTL MUR MVR MWK MXN MYR MZM NAD NGN NIO NOK NPR NZD OMR PAB PEN PGK PHP PKR PLN PYG QAR ROL RUB RWF SAR SBD SCR SDD SEK SGD SHP SIT SKK SLL SOS SRG STD SVC SYP SZL THB TJS TMM TND TOP TRL TTD TWD TZS UAH UGX USD UYU UZS VEB VND VUV WST XAF XAG XAU XCD XDR XOF XPD XPF XPT YER YUM ZAR ZMK ZWD ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'CurrencyCode' in the context: cbc:TaxCurrencyCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:TransportEquipmentTypeCode" priority="3975" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='UN/ECE 8053') and not(@listAgencyID!='6') and not(@listAgencyName!='United Nations Economic Commission for Europe') and not(@listName!='Equipment type code qualifier') and not(@listVersionID!='D.05B') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/default/TransportEquipmentTypeCode-2.0.gc') and not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:TransportEquipmentTypeCode-2.0') ) and ( not(contains(normalize-space(.),' ')) and contains( ' AA AB AD AE AG AH AI AJ AK AL AM AN AO AP AQ AT BL BPN BPO BPP BPQ BPR BPS BPT BPU BPV BPW BPX BPY BR BX CH CN DPA EFP EYP FPN FPR IL LAR LU MPA PA PBP PFP PL PPA PST RF RG RGF RO RR SPP STR SW TE TP TS TSU UL ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'TransportEquipmentTypeCode' in the context: cbc:TransportEquipmentTypeCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="cbc:TransportModeCode" priority="3974" mode="M3">
      <axsl:choose>
         <axsl:when test="( ( not(@listID!='UN/ECE rec 16') and not(@listAgencyID!='6') and not(@listAgencyName!='United Nations Economic Commission for Europe') and not(@listName!='Transport Mode') and not(@listVersionID!='Presented by the CDWG') and not(@listURI!='http://docs.oasis-open.org/ubl/os-ubl-2.0/cl/gc/default/TransportModeCode-2.0.gc') and not(@listSchemeURI!='urn:oasis:names:specification:ubl:codelist:gc:TransportModeCode-2.0') ) and ( not(contains(normalize-space(.),' ')) and contains( ' 0 1 2 3 4 5 6 7 8 9 ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Value supplied '<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>' is unacceptable for codes identified by 'TransportModeCode' in the context: cbc:TransportModeCode
</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="text() | @*" priority="-1" mode="M3"/>
   <axsl:template match="*" priority="-1" mode="M3">
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="text() | @*" priority="-1"/>
</axsl:stylesheet>